For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
HomeGuidesAPI ReferenceChangelog
HomeGuidesAPI ReferenceChangelog
  • Quotes API
      • POSTCreate / Update Quote
      • GETRetrieve Quote
  • Products API
  • Policies API
  • Card Token API
  • Users API
LogoLogo
Quotes APIQuote

Create / Update Quote

POST
https://api-staging.nibtravelinsurance.com/quotes/v2/:brandCode/quote
POST
/quotes/v2/:brandCode/quote
$curl -X POST https://api-staging.nibtravelinsurance.com/quotes/v2/nibau/quote \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json | Minimum Payload" \
> -d '{}'
200Successful
1{
2 "id": "id",
3 "isNew": true,
4 "isPurchased": true,
5 "hasConfigChanged": true,
6 "isPurchaseInitiated": true,
7 "clientSessionId": "clientSessionId",
8 "policyNumber": "policyNumber",
9 "stage": "INITIAL",
10 "evaluatedAt": "evaluatedAt",
11 "input": {
12 "cultureCode": "cultureCode",
13 "customerInterfaceId": 8,
14 "quoteType": "SINGLETRIP",
15 "overrideDuplicateCheck": true,
16 "skipPersistence": true,
17 "planId": 1000000,
18 "quoteReferencePlanId": 1000000,
19 "homeAddress": {
20 "addressLine1": "addressLine1",
21 "addressLine2": "addressLine2",
22 "addressLine3": "addressLine3",
23 "addressLine4": "addressLine4",
24 "provinceCode": "provinceCode",
25 "countryCode": "countryCode",
26 "postalCode": "postalCode"
27 },
28 "alternateHomeAddress": {
29 "addressLine1": "addressLine1",
30 "addressLine2": "addressLine2",
31 "addressLine3": "addressLine3",
32 "addressLine4": "addressLine4",
33 "provinceCode": "provinceCode",
34 "countryCode": "countryCode",
35 "postalCode": "postalCode"
36 },
37 "destinationCountryCodes": [
38 "destinationCountryCodes"
39 ],
40 "departureDate": "2024-11-30",
41 "returnDate": "2024-11-30",
42 "coverEndDate": "2024-11-30",
43 "campaignCode": "campaignCode",
44 "partnerCode": "partnerCode",
45 "tripValue": 1.1,
46 "footprintsDonation": {
47 "donationAmount": 1.1,
48 "donationProjectId": 1000000,
49 "donationAccountCode": "donationAccountCode"
50 },
51 "basicOptions": [
52 {}
53 ],
54 "adventureActivitiesOption": {
55 "optionType": "optionType",
56 "adventureActivityIds": [
57 1000000
58 ]
59 },
60 "specifiedItemOption": {
61 "optionType": "optionType",
62 "specifiedItems": [
63 {}
64 ]
65 },
66 "cancellationOption": {
67 "optionType": "optionType",
68 "cancellationCoverLimit": 1.1
69 },
70 "policyHolders": [
71 {
72 "dateOfBirth": "2024-11-30"
73 }
74 ],
75 "regulatoryDeclarations": [
76 {}
77 ],
78 "externalIdentifiers": {
79 "externalMembershipProviderId": 1000000,
80 "externalMembershipNumber": "externalMembershipNumber",
81 "bookingReference": "bookingReference",
82 "marketingSource": "marketingSource"
83 },
84 "validation": {
85 "isValid": true,
86 "errors": [
87 {}
88 ]
89 }
90 },
91 "priceResults": [
92 {
93 "planId": 1000000,
94 "standardExcess": 1.1,
95 "campaignId": 1000000,
96 "campaignDiscountPercentage": 1.1,
97 "optionPriceResults": [
98 {}
99 ]
100 }
101 ],
102 "prices": [
103 {
104 "planId": 1000000,
105 "totalPrice": 1.1,
106 "standardExcess": 1.1,
107 "campaignDiscountPercentage": 1.1,
108 "campaignDiscount": 1.1,
109 "partnerDiscount": 1.1,
110 "basicOptionPrices": [
111 {}
112 ]
113 }
114 ],
115 "clientInfo": {
116 "ipAddress": "ipAddress",
117 "userAgent": "userAgent",
118 "referer": "referer"
119 },
120 "audit": {
121 "createdAt": "createdAt",
122 "updatedAt": "updatedAt",
123 "createdByUsername": "createdByUsername",
124 "updatedByUsername": "updatedByUsername",
125 "createdByUserId": 1000000,
126 "updatedByUserId": 1000000
127 },
128 "customerUserId": 1000000,
129 "brandCode": "brandCode",
130 "validation": {
131 "isValid": true,
132 "errors": [
133 {}
134 ]
135 }
136}
Was this page helpful?

Retrieve Quote

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

brandCodeenumRequired

A supported NIB Travel brand code, such as “wn”.

Allowed values:

Request

This endpoint expects an object.
stageenumOptional
Represents the stage the quote is up to. This can be used for tracking quotes across the different stages in an embedded purchase path.
inputobjectOptional
Represents the quote parameters used to price the travel insurance booking.

Response

Success
idstring
isNewbooleanDefaults to false
isPurchasedbooleanDefaults to false
hasConfigChangedbooleanDefaults to false
isPurchaseInitiatedbooleanDefaults to false
clientSessionIdstring
policyNumberstring
The policy number is generated when the policy purchase has completed.
stageenum
Represents the stage the quote is up to. This can be used for tracking quotes across the different stages in an embedded purchase path.
evaluatedAtstring
inputobject
priceResultslist of objects
priceslist of objects
Returns an array of prices with available plans based on the parameters quoted.
clientInfoobject
auditobject
customerUserIdlongDefaults to 0
brandCodestring
validationobject